# © 2020 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class ResConfigSettings(models.TransientModel):
    _inherit = "res.config.settings"

    share_unit_price = fields.Monetary(
        string="Valeur de la part",
        related="company_id.share_unit_price",
        currency_field="company_currency_id",
        readonly=False,
    )
    company_currency_id = fields.Many2one(related="company_id.currency_id")
